#################################################################################
#
#    mk-zprod - Automatically create Zope Python Products
#    Copyright (C) 2000 Erik Enge <erik@esol.no>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
##################################################################################

__doc__ = "The Folder type class."
__version__ = "1.0.1"

from zclass import ZClass

import string

class FolderZClass(
	ZClass):
	"Specific methods to the Folder object type."

	def importblock(self):
		"The various imports at the top of a .py file."
		block = open(self.template_directory+'import.tmpl', 'r').read()
		block = block % ('',
						 'from Globals import default__class_init__',
						 'import OFS.Folder\n',
						 self.catalog_aware()[0])
		for subclass in self.subclasses:
			block = block + "import "+string.lower(subclass)+"\n"
		return block[:-1] # Strip the last newline character.

	def class_block(self):
		"Return the class block."
		block = open(self.template_directory+'class.tmpl', 'r').read()
		return block % (self.name,
						self.catalog_aware()[1],
						'\tOFS.Folder.Folder,',
						self.name,
						self.product_name,
						self.icon,
						self.catalog_aware()[4],
						self.properties(),
						self.additional_tuples(),
						self.meta_types(),
						self.subadds(),
						self.permissions(),
						self.name,
						self.lname,
						self.additional_htmlfiles(),
						self.attriblist(2),
						self.setattriblist(),
						self.catalog_aware()[2],
						self.additional_methods(),
						self.name)








